%global extension   wintile
%global uuid        %{extension}@nowsci.com

Name:           gnome-shell-extension-%{extension}
Version:        13
Release:        %autorelease
Summary:        Windows 10 window tiling for GNOME
License:        GPL-3.0-only
URL:            https://github.com/Fmstrat/wintile
BuildArch:      noarch
Source:         %{url}/archive/v%{version}/%{extension}-%{version}.tar.gz

Requires:       gnome-shell
Recommends:     gnome-extensions-app
Provides:       %{extension} = %{version}-%{release}


%description
WinTile is a hotkey driven window tiling system for GNOME that imitates the
standard Win-Arrow keys of Windows 10, allowing you to maximize, maximize to
sides, or 1/4 sized to corner a window using just <Super>+<Arrows>.


%prep
%autosetup -n %{extension}-%{version}


%install
# install main extension files
install -d -m 0755 %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}
cp -p *.js metadata.json \
    %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}/

# install the schema file
install -D -p -m 0644 \
    schemas/org.gnome.shell.extensions.%{extension}.gschema.xml \
    %{buildroot}%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml


%files
%license LICENSE.md
%{_datadir}/gnome-shell/extensions/%{uuid}
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml


%changelog
%autochangelog
